#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
#-----------------------------------------------------------------------------
Name		:	asciidoc
Version		:	10.2.0
Release		:	14.8.0.0%{?dist}
Summary		:	Text based document generation
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+
URL		:	https://github.com/asciidoc-py/asciidoc-py/releases

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
AsciiDoc is a text document format for writing short documents,
articles, books and UNIX man pages. AsciiDoc files can be translated
to HTML and DocBook markups using the asciidoc(1) command.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc README.md COPYRIGHT
%{_bindir}/a2x*
%{_bindir}/%{name}*
%{python3_sitelib}/%{name}/*.py
%{python3_sitelib}/%{name}/__pycache__/*.pyc
%{python3_sitelib}/%{name}/blocks/*.py
%{python3_sitelib}/%{name}/blocks/__pycache__/*.pyc
%{python3_sitelib}/%{name}/resources/icons/*.png
%{python3_sitelib}/%{name}/resources/icons/callouts/*.png
%{python3_sitelib}/%{name}/resources/*.conf
%{python3_sitelib}/%{name}/resources/dblatex/*.sty
%{python3_sitelib}/%{name}/resources/dblatex/*.txt
%{python3_sitelib}/%{name}/resources/dblatex/*.xsl
%{python3_sitelib}/%{name}/resources/docbook-xsl/*.xsl
%{python3_sitelib}/%{name}/resources/docbook-xsl/*.txt
%{python3_sitelib}/%{name}/resources/filters/*.py
%{python3_sitelib}/%{name}/resources/filters/__pycache__/*.pyc
%{python3_sitelib}/%{name}/resources/filters/code/*.py
%{python3_sitelib}/%{name}/resources/filters/code/__pycache__/*.pyc
%{python3_sitelib}/%{name}/resources/filters/code/*.conf
%{python3_sitelib}/%{name}/resources/filters/code/*.txt
%{python3_sitelib}/%{name}/resources/filters/graphviz/*.py
%{python3_sitelib}/%{name}/resources/filters/graphviz/__pycache__/*.pyc
%{python3_sitelib}/%{name}/resources/filters/graphviz/*.conf
%{python3_sitelib}/%{name}/resources/filters/graphviz/*.txt
%{python3_sitelib}/%{name}/resources/filters/latex/*.py
%{python3_sitelib}/%{name}/resources/filters/latex/__pycache__/*.pyc
%{python3_sitelib}/%{name}/resources/filters/latex/*.conf
%{python3_sitelib}/%{name}/resources/filters/music/*.py
%{python3_sitelib}/%{name}/resources/filters/music/__pycache__/*.pyc
%{python3_sitelib}/%{name}/resources/filters/music/*.txt
%{python3_sitelib}/%{name}/resources/filters/music/*.conf
%{python3_sitelib}/%{name}/resources/filters/source/*.conf
%{python3_sitelib}/%{name}/resources/filters/source/*.txt
%{python3_sitelib}/%{name}/resources/stylesheets/*.css
%{python3_sitelib}/%{name}/resources/themes/flask/*.css
%{python3_sitelib}/%{name}/resources/themes/volnitsky/*.css
%{python3_sitelib}/%{name}/resources/javascripts/*.js
%{python3_sitelib}/%{name}-%{version}.dist-info/
%{_mandir}/man1/*.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\


install -Dm0644							\
	-t %{buildroot}%{_mandir}/man1/				\
	 doc/*.1


#-----------------------------------------------------------------------------
%changelog
